Перейти к содержанию

tasks

POST /api/tasks

Create Task

Request Body:

Поле Тип Обязательное Описание
operator_id Operator Id да
task_type Task Type нет
priority Priority нет
title Title да
description Description нет
caller_phone Caller Phone нет
caller_name Caller Name нет
call_id Call Id нет
recording_url Recording Url нет
call_datetime Call Datetime нет
call_transcription Call Transcription нет
call_summary Call Summary нет
call_response_summary Call Response Summary нет
due_date Due Date нет

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
organization_id Organization Id нет
assigned_user_id Assigned User Id нет
created_by_user_id Created By User Id нет
task_type Task Type нет
status Status нет
priority Priority нет
title Title нет
description Description нет
caller_phone Caller Phone нет
caller_name Caller Name нет
call_id Call Id нет
recording_url Recording Url нет
call_datetime Call Datetime нет
call_transcription Call Transcription нет
call_summary Call Summary нет
call_response_summary Call Response Summary нет
error_message Error Message нет
created_at Created At нет
updated_at Updated At нет
due_date Due Date нет
completed_at Completed At нет
appeal_id Appeal Id нет
assigned_user_name Assigned User Name нет

Ошибки:

Код Описание
422 Validation Error

GET /api/tasks

List Tasks

Авторизация: Bearer Token

Query параметры:

Параметр Тип По умолчанию Описание
status Status Фильтр по статусу
task_type Task Type Фильтр по типу
priority Priority Фильтр по приоритету
search Search Поиск по заголовку
include_cancelled Include Cancelled False Включить отменённые задачи
page Page 1
per_page Per Page 20

Response 200: Successful Response

Поле Тип Обязательное Описание
items array[object] нет
total Total нет
page Page нет
per_page Per Page нет
pages Pages нет

Ошибки:

Код Описание
422 Validation Error

GET /api/tasks/{task_id}

Get Task

Авторизация: Bearer Token

Path параметры:

Параметр Тип Описание
task_id Task Id

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
organization_id Organization Id нет
assigned_user_id Assigned User Id нет
created_by_user_id Created By User Id нет
task_type Task Type нет
status Status нет
priority Priority нет
title Title нет
description Description нет
caller_phone Caller Phone нет
caller_name Caller Name нет
call_id Call Id нет
recording_url Recording Url нет
call_datetime Call Datetime нет
call_transcription Call Transcription нет
call_summary Call Summary нет
call_response_summary Call Response Summary нет
error_message Error Message нет
created_at Created At нет
updated_at Updated At нет
due_date Due Date нет
completed_at Completed At нет
appeal_id Appeal Id нет
assigned_user_name Assigned User Name нет

Ошибки:

Код Описание
422 Validation Error

PUT /api/tasks/{task_id}/status

Update Task Status

Авторизация: Bearer Token

Path параметры:

Параметр Тип Описание
task_id Task Id

Request Body:

Поле Тип Обязательное Описание
status Status да

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
organization_id Organization Id нет
assigned_user_id Assigned User Id нет
created_by_user_id Created By User Id нет
task_type Task Type нет
status Status нет
priority Priority нет
title Title нет
description Description нет
caller_phone Caller Phone нет
caller_name Caller Name нет
call_id Call Id нет
recording_url Recording Url нет
call_datetime Call Datetime нет
call_transcription Call Transcription нет
call_summary Call Summary нет
call_response_summary Call Response Summary нет
error_message Error Message нет
created_at Created At нет
updated_at Updated At нет
due_date Due Date нет
completed_at Completed At нет
appeal_id Appeal Id нет
assigned_user_name Assigned User Name нет

Ошибки:

Код Описание
422 Validation Error

Link Appeal To Task

Авторизация: Bearer Token

Path параметры:

Параметр Тип Описание
task_id Task Id

Request Body:

Поле Тип Обязательное Описание
appeal_id Appeal Id да

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
organization_id Organization Id нет
assigned_user_id Assigned User Id нет
created_by_user_id Created By User Id нет
task_type Task Type нет
status Status нет
priority Priority нет
title Title нет
description Description нет
caller_phone Caller Phone нет
caller_name Caller Name нет
call_id Call Id нет
recording_url Recording Url нет
call_datetime Call Datetime нет
call_transcription Call Transcription нет
call_summary Call Summary нет
call_response_summary Call Response Summary нет
error_message Error Message нет
created_at Created At нет
updated_at Updated At нет
due_date Due Date нет
completed_at Completed At нет
appeal_id Appeal Id нет
assigned_user_name Assigned User Name нет

Ошибки:

Код Описание
422 Validation Error

POST /api/tasks/{task_id}/reprocess

Reprocess Task

Авторизация: Bearer Token

Path параметры:

Параметр Тип Описание
task_id Task Id

Response 200: Successful Response

Поле Тип Обязательное Описание
id Id нет
organization_id Organization Id нет
assigned_user_id Assigned User Id нет
created_by_user_id Created By User Id нет
task_type Task Type нет
status Status нет
priority Priority нет
title Title нет
description Description нет
caller_phone Caller Phone нет
caller_name Caller Name нет
call_id Call Id нет
recording_url Recording Url нет
call_datetime Call Datetime нет
call_transcription Call Transcription нет
call_summary Call Summary нет
call_response_summary Call Response Summary нет
error_message Error Message нет
created_at Created At нет
updated_at Updated At нет
due_date Due Date нет
completed_at Completed At нет
appeal_id Appeal Id нет
assigned_user_name Assigned User Name нет

Ошибки:

Код Описание
422 Validation Error